
get
/v4/tokens/reward
Get all tokens that are accepted as reward tokens across all chains.
Query parameters
chainIdstringComma-separated list of chain IDs to filter by
searchstringSearch by token symbol, name, or address
distributionLayerenumTREE for the on-chain DistributionCreator allow-list, LEDGER for a Merkl Flow campaign. Omitted: the on-chain list
Responses
200Reward tokens grouped by chain id. A chain whose lookup timed out is omitted.
Schema
objectReward tokens grouped by chain id. A chain whose lookup timed out is omitted.
Example
{}get
https://api.merkl.xyz/v4/tokens/rewardcurl -X GET "https://api.merkl.xyz/v4/tokens/reward"